function ydot=DNAinputdefine (t,y,flags, KM1, kpc1, KMF1, kpFc1, KMh1, khc1, kDA1, kAI1, kDAI1, KM2, kpc2, KMF2, kpFc2, KMh2, khc2, kDA2, kAI2, kDAI2, R, Rh)

% define ODEs for single switches regulated by a DNA input

D1 = y(1); A1 = y(2); DI1 = y(3); D1A1 = y(4); A1DI1 = y(5); 
A2 = y(6); I2 = y(7); A2I2 = y(8); 

L = D1A1/KM1 + D1/KMF1;
Rfree = R/(1 + L);
Lh = A2I2/KMh2;
Rhfree = Rh/(1 + Lh);

D1dot = - kDA1*D1*A1 + kDAI1*D1A1*DI1;
A1dot = - kAI1*A1*DI1 - kDA1*D1*A1;
DI1dot = - kAI1*A1*DI1 - kDAI1*D1A1*DI1; 
D1A1dot = - D1dot;
A1DI1dot = - A1dot - D1A1dot;

A2dot = - kAI2*A2*I2 + khc2/KMh2*Rhfree*A2I2;
I2dot = kpc1/KM1*Rfree*D1A1 + kpFc1/KMF1*Rfree*D1 - kAI2*A2*I2;
A2I2dot = - A2dot;

ydot=[D1dot;A1dot;DI1dot;D1A1dot;A1DI1dot;A2dot;I2dot;A2I2dot];

