function ydot=bistabledefine (t,y,flags, KM1, kpc1, KMF1, kpFc1, KMh1, khc1, kDA1, kAI1, kDAI1, KM2, kpc2, KMF2, kpFc2, KMh2, khc2, kDA2, kAI2, kDAI2, R, Rh)

% define ODEs for bistable system

D1 = y(1); A1 = y(2); I1 = y(3); D1A1 = y(4); A1I1 = y(5); 
D2 = y(6); A2 = y(7); I2 = y(8); D2A2 = y(9); A2I2 = y(10); 

L = D1A1/KM1 + D2A2/KM2 + D1/KMF1 + D2/KMF2;
Rfree = R/(1 + L);
Lh = A1I1/KMh1 + A2I2/KMh2;
Rhfree = Rh/(1 + Lh);

D1dot = - kDA1*D1*A1 + kDAI1*D1A1*I1;
A1dot = - kAI1*A1*I1 - kDA1*D1*A1 + khc1/KMh1*Rhfree*A1I1;
I1dot = kpc2/KM2*Rfree*D2A2 + kpFc2/KMF2*Rfree*D2 - kAI1*A1*I1 - kDAI1*D1A1*I1;
D1A1dot = - D1dot;
A1I1dot = - A1dot - D1A1dot;

D2dot = - kDA2*D2*A2 + kDAI2*D2A2*I2;
A2dot = - kAI2*A2*I2 - kDA2*D2*A2 + khc2/KMh2*Rhfree*A2I2;
I2dot = kpc1/KM1*Rfree*D1A1 + kpFc1/KMF1*Rfree*D1 - kAI2*A2*I2 - kDAI2*D2A2*I2;
D2A2dot = - D2dot;
A2I2dot = - A2dot - D2A2dot;

ydot=[D1dot;A1dot;I1dot;D1A1dot;A1I1dot;D2dot;A2dot;I2dot;D2A2dot;A2I2dot];

